/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "openldev-about.h"

// Create the OpenLDev about dialog
GtkAboutDialog* openldev_about_dialog_new (const char *version)
{
  GtkAboutDialog *dialog = GTK_ABOUT_DIALOG (gtk_about_dialog_new ());
  
  const gchar *authors[] = {
    "Andrew Krause <andrew openldev org>", "",
    "Patch Contributors:",
    "  Aaron Sebold <bugs invigorated org>",
    "  Jarmo Hekkanen <jarski 2ndpoint fi>",
    "  Jim Hayward <jimhayward linuxexperience net>",
    "  Uwe Grawert <uwegrawe@paju.oulu.fi>",
    NULL
  };

  string logo_location = openldev_add_prefix ("/share/pixmaps/openldev/openldev96.png");
  GdkPixbuf *logo = gdk_pixbuf_new_from_file (logo_location.c_str(), NULL);
  
  // Populate and show the about dialog
  gtk_about_dialog_set_logo (dialog, logo);
  gtk_about_dialog_set_comments (dialog, "Integrated Development Environment");
  gtk_about_dialog_set_authors (dialog, authors);
  gtk_about_dialog_set_copyright (dialog, "(c) 2004-2006 Andrew Krause");
  gtk_about_dialog_set_name (dialog, "OpenLDev");
  gtk_about_dialog_set_version (dialog, version);
  gtk_about_dialog_set_website (dialog, "http://www.openldev.org");
  
  return dialog;
}

// Show and run the about dialog
void openldev_about_dialog_run (GtkDialog *dialog)
{
  int result = gtk_dialog_run (dialog);
  
  switch (result)
  {
    default:
      return;
  }
}
