/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "openldev-view.h"

// Show or hide the toolbar
void openldev_menu_view_toolbar (OpenLDev *openldev)
{
  if (openldev->editor->toolbar) 
  {
    gtk_widget_hide (openldev->menus->toolbar);
    openldev_editor_set_toolbar (openldev->editor, FALSE);
  } 
  else 
  {
    gtk_widget_show (openldev->menus->toolbar);
    openldev_editor_set_toolbar (openldev->editor, FALSE);
  }
}

// Show or hide the status bar
void openldev_menu_view_statusbar (OpenLDev *openldev)
{
  if (openldev->editor->statusbar) 
  {
    gtk_widget_hide (openldev->statusbar->appbar);
    openldev_editor_set_statusbar (openldev->editor, FALSE);
  }
  else 
  {
    gtk_widget_show (openldev->statusbar->appbar);
    openldev_editor_set_statusbar (openldev->editor, FALSE);
  }
}
// Show or hide the Output Manager
void openldev_menu_view_output (OpenLDev *openldev)
{
  if (openldev->editor->outputmanager) 
  {
    gtk_widget_hide (openldev->output);
    openldev_editor_set_outputmanager (openldev->editor, FALSE);
  } 
  else 
  {
    gtk_widget_show (openldev->output);
    openldev_editor_set_outputmanager (openldev->editor, FALSE);
  }
}

// Show or hide the Browser side pane
void openldev_menu_view_browser (OpenLDev *openldev) 
{
  if (openldev->editor->browser) 
  {
    gtk_widget_hide (openldev->sidebar);
    openldev_editor_set_browser (openldev->editor, FALSE);
  } 
  else 
  {
    gtk_widget_show (openldev->sidebar);
    openldev_editor_set_browser (openldev->editor, FALSE);
  }
}

// Show or hide the line numbering
void openldev_menu_view_line_numbering (OpenLDev *openldev)
{
  if (GTK_WIDGET_VISIBLE (GTK_WIDGET (openldev)))
  {
    if (openldev->env->line_numbers) 
    {
      openldev_environment_set_line_numbers (openldev->env, FALSE);
      file_manager_set_properties (FILE_MANAGER (openldev->files), TRUE, openldev->env);
    } 
    else 
    {
      openldev_environment_set_line_numbers (openldev->env, TRUE);
      file_manager_set_properties (FILE_MANAGER (openldev->files), TRUE, openldev->env);
    }
  }
}
